#include<iostream>
using namespace std;
int main ()
{
    long long N;
    cin>>N;
    if(N%2==1)
    {
        cout<<7;
        N=N-3;
        while(N>0)
        {
            cout<<1;
            N=N-2;
        }
    }
    else
    {
        while(N>0)
        {
            cout<<1;
            N=N-2;
        }
    }
    return 0;
}
